% resolucao dde x'=-cx pelo metodo de Euler

% definicao da equacao
c = 15;
F = @(t,x) -c.*x;
exata = @(t) exp(-c.*t);

% condicoes iniciais
t0 = 0;
tf = 1;
x0 = 1;

i_max = 10;             % numeros de valores do passo
Erro = zeros(i_max,1);  % inicializacao do erro


% integracao para diferentes valores do passo
for i = 1:i_max;
    
    h = 1/2^i;                        % valor do passo

    [t,x] = Euler_tx(t0,tf,h,x0,F);   % integracao por Euler
    Erro(i) = max(abs(x - exata(t))); % calculo do erro

    % representacao grafica da solucao
    figure; plot(t,exata(t),t,x,'.-r')
    title(sprintf('x(t) com h = 2^-%f',i))
end

% representacao grafica do erro
figure;
plot(log(Erro));
title('Erro(n)')
